@charset "UTF-8";

/* ============================
common
============================ */
:root {
    --primary-white: #fff;
    --primary-orange: #FF4600;
    --primary-black: #000000;
    --primary-gray03: #767876;
    --primary-gray02: #A8AAA8;
    --primary-lightGray: #E8E8E8;
    --primary-yellow: #F3E527;
    --primary-yellowB: #FCCA00;
    --primary-darkgray: #424643;
    --primary-green: #1EACAF;
    --primary-clearBlack: rgba(0, 0, 0, 0.4);
    --primary-clearOrange: rgba(255, 70, 0, 0.5);
    --contentwidth-sp: 84%;
    --contentwidth-pc: 60.4%;
    --contentPadding-sp: 8%;
    --contentPadding-pcLeft: 27.7%;
    --contentPadding-pcLeft: 11.8%;
}

html {
    font-size: 62.5%;
    font-family:
        "Noto Sans JP",
        Arial,
        sans-serif;
    font-style: normal;
    color: var(--primary-white);
    background-color: var(--primary-clearBlack);
    line-height: 1.5;
    font-weight: 700;
}

.overlapping {
    position: relative;
}

img {
    width: 100%;
    height: auto;
}

.title {
    color: #FCCA00;
    font-family: Anton;
    font-weight: 400;
    font-size: 5rem;
    line-height: 100%;
    text-transform: uppercase;
    position: relative;
    z-index: 0;
    -webkit-text-stroke-width: 1.5px;
    -webkit-text-stroke-color: var(--primary-black);
}

.title::after {
    content: attr(data-text);
    position: absolute;
    top: 3px;
    left: 2px;
    color: var(--primary-black);
    text-transform: uppercase;
    z-index: -1;
    -webkit-text-stroke: 2px var(--primary-black);
    /* 縁の太さと色 */
    font-size: 5.1rem;

}

h3 {
    text-align: center;
    font-size: 1.8rem;
    line-height: 130%;
    margin-top: 10px;
}

.title__container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

body {
    -webkit-font-smoothing: antialiased; /* Mac/iOS用のアンチエイリアス */
    -moz-osx-font-smoothing: grayscale; /* macOS用の設定 */
    font-smooth: always; /* その他のブラウザ向け（非標準） */
}

body:before {
    content: "";
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    z-index: -1;
    width: 100%;
    height: 120vh;
    height: 120svh;
    background: url('../images/background_SP.jpg')center no-repeat;
    background-size: cover;
    padding-bottom: env(safe-area-inset-bottom);
}
.body-fixed {
    overflow: hidden;
    position: fixed;
    width: 100%;
}

.pcBr {
    display: none;
}

.section {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: var(--primary-orange);
    z-index: 3;
}

.btn {
    height: 38px;
    display: flex;
    padding: 0 50px 0 40px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: 5px;
    background: var(--main_orange, #FF4600);
    text-transform: uppercase;
    color: #FFF;
    font-family: Anton;
    font-weight: 400;
    font-size: 2.5rem;
}

.btnArrow {
    width: 15px;
    height: 14px;
    display: flex;
    align-items: center;
}

/* common PC */
@media screen and (min-width: 769px) {
    .title {
        color: #FCCA00;
        -webkit-text-stroke-width: 1.5px;
        -webkit-text-stroke-color: #000;
        font-size: 10rem;
        z-index: 0;
        position: relative;
        text-rendering: optimizeLegibility;
        -webkit-font-smoothing: antialiased;
        /* Mac系 */
        font-smooth: always;
        /* 一部のブラウザ対応 */

    }

    .title::after {
        content: attr(data-text);
        position: absolute;
        top: 3px;
        left: 3px;
        color: var(--primary-black);
        text-transform: uppercase;
        z-index: -1;
        -webkit-text-stroke: 2px var(--primary-black);
        /* 縁の太さと色 */
        font-size: 10.2rem;

    }

    h3 {
        font-size: 2rem;
        font-weight: 900;
        line-height: 150%;
    }

    body:before {
        content: "";
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        z-index: -1;
        width: 100%;
        height: 100vh;
        background: url('../images/backgroundPC.jpg')center no-repeat;
        background-size: cover;
    }


    .spBr {
        display: none;
    }

    .pcBr {
        display: block;
    }

    .section {
        display: flex;
        flex-direction: column;
        padding-left: 27vw;
        justify-content: center;
        align-items: flex-start;

    }

    .title__container {
        align-items: center;
        display: flex;
        flex-direction: row;
        gap: 30px;
        justify-content: flex-start;
    }

    h3 {
        text-align: center;
        font-size: 1.8rem;
        line-height: 130%;
    }

    .btn {
        display: flex;
        padding: 0 70px 0 60px;
    }

    .btn:hover {
        background-color: var(--primary-yellowB);
    }

    .container {
        background-color: var(--primary-clearBlack);
    }
}

/* pc 769px */

/* common TAB */
@media screen and (min-width: 769px) and (max-width: 1000px) {

    .title {
        font-size: 8rem;
    }

    .title::after {
        font-size: 8.1rem;
    }

    h3 {
        text-align: center;
        font-size: 1.4rem;
        line-height: 130%;
    }
}

/* pc 769~1000px */

/* ============================
TOP BTN
============================ */
/*リンクの形状*/
#page-top a {
    display: flex;
    justify-content: center;
    align-items: center;
    background: var(--primary-green);
    border-radius: 50%;
    width: 60px;
    height: 60px;
    text-align: center;
    text-transform: uppercase;
    text-decoration: none;
    transition: all 0.3s;
    font-family: Anton;
    font-weight: 400;
    font-size: 2rem;
    line-height: 100%;
}


/*リンクを右下に固定*/
#page-top {
    position: fixed;
    right: 10px;
    bottom: 40px;
    z-index: 2000;
    /*はじめは非表示*/
    opacity: 0;
    transform: translateY(100px);
}

/*　上に上がる動き　*/
#page-top.UpMove {
    animation: UpAnime 0.5s forwards;
}

@keyframes UpAnime {
    from {
        opacity: 0;
        transform: translateY(100px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/*　下に下がる動き　*/
#page-top.DownMove {
    animation: DownAnime 0.5s forwards;
}

@keyframes DownAnime {
    from {
        opacity: 1;
        transform: translateY(0);
    }

    to {
        opacity: 0;
        transform: translateY(100px);
    }
}

/* top  PC */
@media screen and (min-width: 769px) {

    /*リンクを右下に固定*/
    #page-top {
        bottom: 70px;
        right: 40px;
    }

    #page-top a {
        width: 100px;
        height: 100px;
        font-size: 3rem;
    }

    #page-top a:hover {
        background: var(--primary-yellowB);
    }

}

/* pc 769px */
/* menu TAB */
@media screen and (min-width: 769px) and (max-width: 1000px) {
    #page-top {
        bottom: 80px;
        right: 30px;
    }

    #page-top a {
        width: 70px;
        height: 70px;
        font-size: 2.5rem;
    }
}

/* ============================
header
============================ */
.header {
    width: 100%;
    height: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: fixed;
    /* transform: translateY(500%); */
    transition: transform 0.4s;
    z-index: 15;
}

.headerBar {
    width: 100%;
    background-color: var(--primary-orange);
    height: 120px;
    bottom: -70px;
    z-index: 300;
    position: fixed;
    padding-bottom: env(safe-area-inset-bottom);
}

.headerBar.active {
    transform: translateY(0);
}

.pcLogo {
    display: none;
}

.mark {
    width: 100%;
    height: 50px;
    position: relative;
    background-color: var(--primary-orange);
    border-top: 3px solid #000;
}

.spLogo {
    width: 110px;
    height: auto;
    position: absolute;
    bottom: 12px;
    left: 11px;

}

.robaOmeme {
    position: absolute;
    width: 21px;
    height: auto;
    bottom: 81px;
    left: 65px;
    z-index: 900;
}

.robaMimi {
    position: absolute;
    width: 18px;
    height: auto;
    bottom: 108px;
    left: 68px;
    /* 回転アニメーション */
    transform-origin: bottom left;
    /* 左下を基準に回転 */
    animation: rotateAndReset 14s ease-in-out infinite;
    /* アニメーション設定 */
}

/* キーフレーム */
@keyframes rotateAndReset {
    0% {
        transform: rotate(0deg);
        /* 初期状態 */
    }

    50% {
        transform: rotate(30deg);
        /* 30度回転 */
    }

    100% {
        transform: rotate(0deg);
        /* 元に戻る */
    }
}

.Scrolling {
    display: flex;
    position: fixed;
    z-index: 350;
    height: 50px;
    bottom: 70px;
    width: 99vw;
    margin-left: 130px;
    align-items: center;
}

.ScrollingBox {
    width: 100%;
    /* コンテナの幅 */
    overflow: hidden;
    /* テキストがはみ出る部分を隠す */
    white-space: nowrap;
    /* テキストを改行させない */
    position: relative;
    /* アニメーションの基準位置 */
    border-left: 5px double black;
    padding: 1vh 0;
    padding: 1svh 0;
}

.ScrollingText {
    display: inline-block;
    /* テキストをインラインブロックにする */
    white-space: nowrap;
    /* 改行させない */
    animation: scrollText 22s linear infinite;
    /* アニメーション設定 */
}

@keyframes scrollText {
    from {
        transform: translateX(100%);
        /* 右端から開始 */
    }

    to {
        transform: translateX(-100%);
        /* 左端へ移動 */
    }
}

.ScrollingText {
    font-size: 1.2rem;
}

/* nav　初期表示 */
.nav {
    background-color: var(--primary-orange);
    opacity: 1;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 400;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    transform: translateX(-100%);
    transition: transform 0.4s;
    overflow-y: scroll; 
    padding-bottom: 50px;
}

.nav__list {
    display: flex;
    flex-direction: column;
    gap: 25px;
    padding-top: 15vh;
    margin-left: 77px;
}

.nav__item {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    width: 72vw;
    height: auto;
}

.nav__txtBox {
    display: flex;
    flex-direction: column;
    text-align: left;
    gap: 2px;
}

.nav__itemTitle {
    display: block;
    font-family: Anton;
    font-weight: 400;
    font-size: 6.5vw;
    line-height: 100%;
    text-transform: uppercase;
}

.nav__itemTxt {
    display: block;
    font-size: 3.7vw;
    line-height: 100%;
}

.nav__item::before {
    content: "";
    /* 疑似要素を作成 */
    display: inline-block;
    /* 要素を表示させる */
    width: 30px;
    /* イメージの幅 */
    height: 31px;
    /* イメージの高さ */
    background-image: url('../images/arrow01.png');
    background-size: cover;
    background-position: center;
    margin-right: 10px;
    /* テキストとの間隔を調整 */
}

.navSp__logoBox {
    position: relative;
    bottom: 0;
    width: 100vw;
    height: 100px;
}

.navSp__Logo {
    position: absolute;
    right: 46px;
    bottom: 38px;
    width: 20vw;
    height: auto;
}

/* .nav.active表示 */
.nav.active {
    transform: translateX(0);
}


.openbtn {
    /*ボタン内側の基点となるためrelativeを指定。
追従するナビゲーションの場合はfixed＋top、rightといった位置をセットで指定*/
    position: fixed;
    cursor: pointer;
    width: 50px;
    height: 50px;
    z-index: 1500;
    right: 2vw;
    top: 2vw;
}

.openbtn span {
    display: inline-block;
    transition: all .4s;
    /*アニメーションの設定*/
    position: absolute;
    left: -6px;
    height: 2px;
    background: var(--primary-white);
    width: 45px;
}

.openbtn span:nth-of-type(1) {
    top: 13px;
}

.openbtn span:nth-of-type(2) {
    top: 23px;
}

.openbtn span:nth-of-type(3) {
    top: 33px;
}

/*activeクラスが付与されると線が回転して×に*/
.openbtn.active span:nth-of-type(1) {
    top: 18px;
    left: -12px;
    transform: translateY(6px) rotate(-45deg);
    width: 100%;
}

.openbtn.active span:nth-of-type(2) {
    opacity: 0;
    /*真ん中の線は透過*/
}

.openbtn.active span:nth-of-type(3) {
    top: 30px;
    left: -12px;
    transform: translateY(-6px) rotate(45deg);
    width: 100%;
}

/* header PC */
@media screen and (min-width: 769px) {
    .headerBar {
        height: 100px;
        width: 100%;
        justify-content: flex-end;
        align-items: flex-end;
        z-index: 300;
        bottom: 0;
    }

    .spLogo {
        display: none;
    }

    .mark {
        width: 100%;
        height: 100px;
        position: relative;
        background-color: var(--primary-orange);
        border-top: 7px solid #000;
    }

    .pcLogo {
        display: flex;
        width: 270px;
        height: auto;
        position: absolute;
        bottom: 5px;
        left: 30px;
    }

    .robaOmeme {
        position: absolute;
        width: 70px;
        height: auto;
        bottom: 227px;
        left: 164px;
        z-index: 900;
    }

    .robaMimi {
        position: absolute;
        width: 80px;
        height: auto;
        bottom: 327px;
        left: 167px;
    }

    .Scrolling {
        display: flex;
        width: 100vw;
        height: 100px;
        margin-left: 320px;
        align-items: center;
        bottom: 0;
    }

    .ScrollingBox {
        border-left: 8px double black;
        padding: 2vh 0;
    }

    .ScrollingText {
        font-size: 1.9vw;
    }

    /* nav　pc */
    .nav {
        background-color: rgba(0, 0, 0, 0.7);
        justify-content: center;
        z-index: 110;
        overflow-y: scroll; 
        padding-bottom: 150px;
    }

    .nav__list {
        margin-left: 0;
        justify-content: center;
        align-items: center;
        gap: 50px;
        padding-left: 30%;
    }

    .nav__item {
        width: 70vw;
    }

    .nav__txtBox {
        align-items: flex-end;
        display: flex;
        flex-direction: row;
        gap: 10px;
    }

    .nav__itemTitle {
        font-size: 2.4vw;
    }

    .nav__itemTxt {
        font-size: 1.2vw;
        line-height: 100%;
    }

    .navSp__Logo {
        display: none;
    }
}

/* pc 769px */

/* header TAB */
@media screen and (min-width: 769px) and (max-width: 1000px) {
    .nav {
        z-index: 100;
    }
    .pcLogo {
        display: flex;
        width: 150px;
        height: auto;
        position: absolute;
        bottom: 46px;
        left: 30px;
    }

    .robaOmeme {
        position: absolute;
        width: 39px;
        height: auto;
        bottom: 170px;
        left: 104px;
        z-index: 900;
    }

    .robaMimi {
        position: absolute;
        width: 38px;
        height: auto;
        bottom: 223px;
        left: 110px;
    }
}

/* pc 769~1000px */

/* ============================
footer
============================ */
.footer {
    padding-top: 50px;
    background-color: var(--primary-clearBlack);
}

.footerTitle__container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.title__roba {
    font-family: "Zen Kaku Gothic New";
    font-size: 6rem;
    font-weight: 900;
    line-height: 100%;
    letter-spacing: -3.6px;
    -webkit-text-stroke-width: 0.03em;
    -webkit-text-stroke-color: var(--primary-black);
    height: auto;
    padding-right: 10px;
    position: relative;
    color: #FCCA00;
    z-index: 1;
}

.title__roba::after {
    content: attr(data-text);
    top: 3px;
    left: 2px;
    z-index: -1;
    -webkit-text-stroke-width: 0.03em;
    -webkit-text-stroke: 2px var(--primary-black);
    /* 縁の太さと色 */
    font-size: 6.1rem;
    position: absolute;
    color: var(--primary-black);
}

.tel {
    display: flex;
    gap: 5px;
    margin-top: 50px;
    align-items: center;
    justify-content: center;
}
.tel a {
    text-shadow: 4px 4px 0px #000;
    font-family: Anton;
    font-size: 3.3rem;
    font-weight: 400;
    line-height: 100%;
}

.tel__icon {
    width: 32px;
    height: auto;
    display: flex;
    align-items: center;
}


.btnContainer__uberEats {
    align-items: center;
    flex-direction: column;
    justify-content: center;
    display: flex;
}
.btnBox__uberEats {
    width: 100%;
    align-items: center;
    display: flex;
    justify-content: center;
}
.uberEats__txt {
    font-size: 1.3rem;
}

.btn__uberEats {
    font-size: 2.5rem;
    line-height: 100%;
    padding: 8px 15px;
    margin-top: 10px;
}

.btnArrow_uberEats {
    width: 24px;
    height: auto;
    display: flex;
    align-items: center;
    gap: 5px;
}

.uberEats_txt {
    font-size: 1.5rem;
    font-weight: 700;
    line-height: 100%;
}

.footerNav__item {
    text-shadow: 4px 4px 0px #000, 4px 4px 0px #000;
    font-family: Anton;
    font-size: 4rem;
    font-weight: 400;
    line-height: 100%;
    /* 40px */
    display: flex;
    justify-content: flex-start;
    gap: 10px;
}

.footerNav__item a {
    text-transform: uppercase;
}

.footerNav__list {
    display: flex;
    padding: 50px 37px 0px 23%;
    /* flex-direction: column; */
    align-items: flex-start;
    gap: 30px;
    height: auto;
    width: 100%;
    flex-wrap: wrap;
}

.footerNav__item img {
    display: flex;
    align-items: center;
    width: 32px;
    height: auto;
}

.copy {
    background-color: var(--primary-green);
    height: 62px;
    width: 100%;
    display: flex;
    text-align: right;
    font-size: 0.9rem;
    font-weight: 400;
    line-height: 150%;
    justify-content: center;
    padding-right: 10px;
    margin-top: 80px;
}

.footerNav__item:nth-child(6) {
    margin-right: 100px;
}

/* footer PC */
@media screen and (min-width: 769px) {
    .footer {
        padding-top: 70px;
    }

    .footerTitle__container {
        justify-content: flex-start;
    }

    .titleBox__footer {
        padding: 0 7% 0 27vw;
        gap: 10px;
        display: flex;
        align-items: center;
    }

    .title__roba {
        font-family: "Zen Kaku Gothic New";
        font-size: 10vw;
        font-weight: 900;
        line-height: 100%;
        letter-spacing: -5.75px;
        -webkit-text-stroke-width: 0.03em;
        -webkit-text-stroke-color: var(--primary-black);
        padding-right: 20px;
    }

    .title__roba::after {
        content: attr(data-text);
        top: 3px;
        left: 2px;
        -webkit-text-stroke: 2px var(--primary-black);
        /* 縁の太さと色 */
        font-size: 10.1vw;
    }

    .telBtn__box {
        display: flex;
        gap: 50px;
        padding: 0 0 0 27vw;
        margin-top: 70px;

    }

    .tel {
        margin-top: 0;
    }
    .tel a {
        font-size: 3.8vw;
    }
    .tel__icon {
        width: 3.8vw;
    }
    .uberSp__br {
        display: none;
    }
    .btnBox__uberEats {
        justify-content: start;
    }
    .btn__uberEats {
        font-size: 2.6rem;
        margin-top: 0;
        display: flex;
        padding: 25px 25px 25px 30px;
        align-items: center;
        gap: 10px;
    }

    .btn__uberEats:hover {
        background-color: var(--primary-yellowB);
    }

    .footerNav__list {
        display: flex;
        padding: 0 11% 0 27vw;
        align-items: flex-start;
        align-content: flex-start;
        gap: 50px;
        align-self: stretch;
        flex-wrap: wrap;
        flex-direction: row;
        margin-top: 70px;
    }

    .footerNav__item {
        font-size: 4rem;
        width: auto;
        height: auto;
    }

    .copy {
        height: 115px;
    }

}

/* pc 769px */
/* footer TAB */
@media screen and (min-width: 769px) and (max-width: 1030px) {
    .titele__fotter {
        font-size: 6rem;
    }
    .titele__fotter::after {
        font-size: 6rem;
    }
    .title__roba {
        font-family: "Zen Kaku Gothic New";
        font-size: 6.9rem;
        font-weight: 900;
        line-height: 100%;
        letter-spacing: -5.75px;
        -webkit-text-stroke-width: 0.03em;
        -webkit-text-stroke-color: var(--primary-black);
        padding-right: 20px;
    }

    .title__roba::after {
        content: attr(data-text);
        top: 3px;
        left: 2px;
        -webkit-text-stroke: 2px var(--primary-black);
        /* 縁の太さと色 */
        font-size: 6.9rem;
    }

    .Scrolling {
        margin-left: 200px;
    }
    .uberSp__br {
        display: flex;
    }
    .uberEats__txt {
        width: 100%;
    }
}

/* TAB 769~1000px */